Options -Indexes
RewriteEngine On

RewriteCond %{QUERY_STRING} !MAP=PMAP [NC]
RewriteCond %{REQUEST_URI} !cache.php? [NC]
RewriteRule (.*) /mapserv [R=301,L]

SetEnvIf Request_URI "(.*)" ACCESS=public

<Files *.map>
    Order Deny,Allow
    Deny from all
    Allow from 127.0.0.1
</Files>
